For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all tables in a collection.
      • POSTCreate a table in a collection.
      • GETGet a table by ID.
      • PUTUpdate a table by ID.
      • DELDelete a table by ID.
      • GETGet a tables schema by ID.
      • POSTSync a table with a list of documents.
LogoLogo
Scout DocsAccess Scout
EndpointsTables

Get a tables schema by ID.

Beta
GET
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/schema
GET
/v2/collections/:collection_id/tables/:table_id/schema
$curl https://api.scoutos.com/v2/collections/collection_id/tables/table_id/schema \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "column_type": "checkbox",
5 "data_type": "boolean",
6 "column_id": "col_9f8a7b6c",
7 "column_display_name": "Is Active",
8 "hidden": false,
9 "automation_config": {
10 "mode": "typescript",
11 "button_text": "Toggle Active Status",
12 "executing_text": "Updating status...",
13 "function": "function toggleActive(row) { return !row.isActive; }"
14 }
15 }
16 ]
17}
Was this page helpful?
Previous

Sync a table with a list of documents.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Response

Successful Response
datalist of objects

Errors

422
Unprocessable Entity Error